#include "pls/internal/base/alignment.h"

namespace pls {
namespace internal {
namespace base {
namespace alignment {

char *next_alignment(char *pointer, size_t alignment) {
  return reinterpret_cast<char *>(next_alignment(reinterpret_cast<system_details::pointer_t >(pointer), alignment));
}

}
}
}
}
